## net.dontdrinkandroot.cache.statistics
Interface CacheStatistics

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  SimpleCacheStatistics

    public interface CacheStatistics

extends Serializable

Author:
  Philip W. Sorst <philip@sorst.net>

Method Summary
`long` `getCacheHits()` Get the total number of cache hits.
`long` `getCacheMisses()` Get the total number of cache misses.
`long` `getCacheMissesExpired()` Get the number of cache misses where the entry was expired.
`long` `getCacheMissesNotFound()` Get the number of cache misses where the entry was not found.
`int` `getCurrentSize()` Get the current size (the number of entries) in the cache.
`long` `getGetCount()` Get the total get count.
`float` `getHitRate()` Get the current hit rate, this is a value [0,1] which is the percentage of hits on all get requests.
`long` `getPutCount()` Get the total put count.
`void` `reset()` Reset the statistics.

Method Detail

### getCacheHits

    long getCacheHits()

  Get the total number of cache hits.

### getCacheMissesNotFound

    long getCacheMissesNotFound()

  Get the number of cache misses where the entry was not found.

### getPutCount

    long getPutCount()

  Get the total put count.

### getGetCount

    long getGetCount()

  Get the total get count.

### reset

    void reset()

  Reset the statistics.

### getHitRate

    float getHitRate()

  Get the current hit rate, this is a value [0,1] which is the percentage of hits on all get requests.

### getCacheMisses

    long getCacheMisses()

  Get the total number of cache misses.

### getCurrentSize

    int getCurrentSize()

  Get the current size (the number of entries) in the cache.

### getCacheMissesExpired

    long getCacheMissesExpired()

  Get the number of cache misses where the entry was expired.

Copyright © 2013 dontdrinkandroot. All Rights Reserved.